cryptol-2.4.0: Cryptol: The Language of Cryptography

Copyright | (c) 2013-2016 Galois Inc.
License | BSD3
Maintainer | cryptol@galois.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Cryptol.TypeCheck.Kind

Description

Synopsis

- checkType :: Type Name -> Maybe Kind -> InferM Type
- checkSchema :: Schema Name -> InferM (Schema, [Goal])
- checkNewtype :: Newtype Name -> InferM Newtype
- checkTySyn :: TySyn Name -> InferM TySyn

# Documentation

checkType :: Type Name -> Maybe Kind -> InferM Type Source #

checkSchema :: Schema Name -> InferM (Schema, [Goal]) Source #

Check a type signature.

checkNewtype :: Newtype Name -> InferM Newtype Source #

Check a newtype declaration. XXX: Do something with constraints.

checkTySyn :: TySyn Name -> InferM TySyn Source #

Check a type-synonym declaration.